package com.ruoyi.tuya.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户投诉对象 tuya_talk_no
 * 
 * @author zf
 * @date 2022-08-23
 */
public class TuyaTalkNo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long noId;

    /** 订单id */
    @Excel(name = "订单id")
    private String uuid;

    /** 姓名 */
    @Excel(name = "姓名")
    private String talkName;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 联系地址 */
    @Excel(name = "联系地址")
    private String address;

    /** 内容 */
    @Excel(name = "内容")
    private String noContent;

    /** 标识 */
    @Excel(name = "标识")
    private Long flag;

    public void setNoId(Long noId) 
    {
        this.noId = noId;
    }

    public Long getNoId() 
    {
        return noId;
    }
    public void setUuid(String uuid) 
    {
        this.uuid = uuid;
    }

    public String getUuid() 
    {
        return uuid;
    }
    public void setTalkName(String talkName) 
    {
        this.talkName = talkName;
    }

    public String getTalkName() 
    {
        return talkName;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setNoContent(String noContent) 
    {
        this.noContent = noContent;
    }

    public String getNoContent() 
    {
        return noContent;
    }
    public void setFlag(Long flag) 
    {
        this.flag = flag;
    }

    public Long getFlag() 
    {
        return flag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("noId", getNoId())
            .append("uuid", getUuid())
            .append("talkName", getTalkName())
            .append("phone", getPhone())
            .append("address", getAddress())
            .append("noContent", getNoContent())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("flag", getFlag())
            .append("remark", getRemark())
            .toString();
    }
}
